#ifndef _NUTSETUP_H_
#define _NUTSETUP_H_

#pragma pack(1)
typedef struct {
    u_char tele_type;           /*!< \brief Message type, 0=request, 1=announce, 2=apply. */
    u_long tele_xid;            /*!< \brief Exchange identifier. */
    u_char tele_hostname[16];   /*!< \brief Host name of the system. */
    u_char tele_mac[6];         /*!< \brief Ethernet MAC address. */
    u_long tele_ip_addr;        /*!< \brief Last used IP address. */
    u_long tele_ip_mask;        /*!< \brief IP netmask. */
    u_long tele_gateway;        /*!< \brief Default route. */
    u_long tele_cip_addr;       /*!< \brief Configured IP address. */
} DISCOVER;
#pragma pack()

#define DISCOVER_PORT   10999


#endif
