#ifndef _PROPERTYVIEW_H_
#define _PROPERTYVIEW_H_

#include <wx/proplist.h>

#include "nutnode.h"
#include "udpthread.h"

class CPropertyView: public wxPropertyListView
{
public:
    CPropertyView(CNutNode *nut, CUdpThread *thread);

    void OnOK(wxCommandEvent& event);
    bool OnClose();
    void ShowView(wxPanel *panel);

    CUdpThread *m_thread;
    CNutNode *m_nut;
    wxPropertySheet *m_sheet;
    DECLARE_EVENT_TABLE()


};

#endif
